Tp::BaseConnectionAddressingInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionAddressingInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.Addressing. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Types
typedef Callback6< void, const QString &, const QStringList &, const QStringList &, Tp::AddressingNormalizationMap &, Tp::ContactAttributesMap &, DBusError * > | GetContactsByVCardFieldCallback
typedef Callback5< void, const QStringList &, const QStringList &, Tp::AddressingNormalizationMap &, Tp::ContactAttributesMap &, DBusError * > | GetContactsByURICallback

## Public Member Functions
virtual | ~BaseConnectionAddressingInterface ()
QVariantMap | immutableProperties () const
void | setGetContactsByVCardFieldCallback (const GetContactsByVCardFieldCallback &cb)
void | setGetContactsByURICallback (const GetContactsByURICallback &cb)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseConnectionAddressingInterfacePtr | create ()
template<typename BaseConnectionAddressingInterfaceSubclass >
static SharedPtr < BaseConnectionAddressingInterfaceSubclass > | create ()

## Protected Member Functions
| BaseConnectionAddressingInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.Addressing.

## Member Typedef Documentation

typedef Callback6< void, const QString&, const QStringList&, const QStringList&, Tp::AddressingNormalizationMap&, Tp::ContactAttributesMap&, DBusError* > Tp::BaseConnectionAddressingInterface::GetContactsByVCardFieldCallback

typedef Callback5< void, const QStringList&, const QStringList&, Tp::AddressingNormalizationMap&, Tp::ContactAttributesMap&, DBusError* > Tp::BaseConnectionAddressingInterface::GetContactsByURICallback

## Constructor & Destructor Documentation

Tp::BaseConnectionAddressingInterface::~BaseConnectionAddressingInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseConnectionAddressingInterface::BaseConnectionAddressingInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseConnectionAddressingInterfacePtr Tp::BaseConnectionAddressingInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseConnectionAddressingInterfaceSubclass >

static SharedPtr<BaseConnectionAddressingInterfaceSubclass> Tp::BaseConnectionAddressingInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseConnectionAddressingInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseConnectionAddressingInterface::setGetContactsByVCardFieldCallback | ( | const GetContactsByVCardFieldCallback & | cb | ) |

void Tp::BaseConnectionAddressingInterface::setGetContactsByURICallback | ( | const GetContactsByURICallback & | cb | ) |